<div class="ui centered grid">
  <div class="column">
    <%= image_tag wicked_pdf_asset_base64('LogoDemingVertical.jpg'), size: '150x150' %>
  </div>
</div>

<div class="ui centered grid">
  <div class="column">
    <h2>Examen en línea</h2>
  </div>
</div>

<div class="exam-table-container" style="max-width: 67.2rem !important;">
  <div class="ui centered grid">
    <div class="column">
      <table class="ui basic table" style="width: 67.2rem !important;">
        <tbody>
        <tr>
          <td><strong>Estudiante:</strong> <%= @exam.student.full_name.titleize %></td>
          <td><strong>Cédula: </strong> <%= @exam.student.identification_number.upcase %></td>
          <td><strong>Calificación:</strong> <%= @exam.score.to_f %> / 10</td>
        </tr>
        <tr>
          <td><strong>Materia:</strong> <%= @exam.subject.name.humanize %></td>
          <td><strong>Grupo:</strong> <%= student_exam_group(@exam).group_name.upcase %> </td>
          <td><strong>Fecha de examen:</strong> <%= l(@exam.start_date, format: '%d-%m-%Y') %></td>
        </tr>
        </tbody>
      </table>
    </div>
  </div>
</div>

<div class="ui grid">
  <div class="column">

    <% position = 1 %>
      <% print_student_exam_questions(@exam).find_in_batches(batch_size: 5) do |batch| %>

        <% batch.each_with_index do |question, idx| %>
          <div class="ui fluid segment" style="width: 65rem !important; min-height: 12rem !important;">

            <a class="ui left corner blue label">
              <div style="margin-left: -2rem !important; margin-top: .8rem !important;"><%= position %></div>
            </a>

            <ol class="" type="a">
              <p><%= question.title.body %></p>
              <% question.answers.order(id: :asc).each do |answer| %>
                <%= student_selected_answers(@exam, answer) %>
              <% end %>
            </ol>

            <p style="font-weight: 600 !important;"><%= student_correct_answers(@exam, question) %></p>

          </div>
        <% position += 1 %>
        <% end %>
      <% end %>

  </div>
</div>

<div class="ui grid">
  <div class="column">
    <h5>Fecha y hora de inicio: <span><%= l(@exam.start_date, format: '%d-%m-%Y %H:%M:%S') %></span></h5>
    <h5>Fecha y hora de finalización: <span><%= l(@exam.dead_line, format: '%d-%m-%Y %H:%M:%S') %></span></h5>
  </div>
</div>
